Summary: An op5 Monitor plugin to monitor log files pattern
Name: monitor-plugin-check_pattern
Version: %{op5version}
Release: %{op5release}%{?dist}
License: op5 Software License
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildArch: noarch
Requires: perl

%if 0%{?suse_version}
# SLES-specific stuff
Requires: perl-base
%else
# Common RHEL stuff
%if 0%{?rhel} >= 6
# RHEL6-specific stuff
%else
# RHEL5-specific stuff
%endif
%endif

%description
This plugin check a logfile on the localhost for a given pattern

%prep
%setup -q

%build

%install
mkdir -p %buildroot/opt/plugins
cp check_pattern.pl %buildroot/opt/plugins/check_pattern.pl

pushd %buildroot%prefix
	ln -s check_pattern.pl check_pattern
popd
%clean
rm -rf %buildroot

%files
%defattr(-,root,root,-)
%attr(755,root,root) /opt/plugins/check_pattern.pl
%attr(755,root,root) /opt/plugins/check_pattern

%changelog
* Tue May 29 2013 Martin Kamijo <mk@op5.com>
Inital commit of the plugins
